# Who knows why there are two git hashes.  Github is crazy.
# The first one is the githash on the *name* of the tarball.
# The second one is the githash of the dir that the tarball unpacks to.
%global githash gedff5a0
%global other_githash e8fbd0c
%global gitdate 20130412
%global checkout %{gitdate}git%{githash}

Name:       impressjs
Version:    0.5.3
Release:    1%{checkout}%{?dist}
Summary:    Javascript presentation framework
Group:      Development/Libraries
BuildArch:  noarch

# It is dual licensed under the MIT and GPL, but the GPL version is unclear.
# https://github.com/bartaz/impress.js/issues/279
License:    MIT

URL:        http://bartaz.github.io/impress.js
Source0:    https://github.com/bartaz/impress.js/tarball/%{version}/bartaz-impress.js-%{version}-0-%{githash}.tar.gz
Patch0:     impressjs-patch-demo-url.patch

%description
It's a presentation framework based on the power of CSS3 transforms and
transitions in modern browsers and inspired by the idea behind prezi.com.

%prep
%setup -q -cn bartaz-impress.js-%{githash}
mv bartaz-impress.js-%{other_githash}/* .
%patch0 -p1 -b .demo-url

%build
# Nothing to actually do here.

%install
# Simply copy files into place
%{__mkdir_p} %{buildroot}%{_datadir}/impressjs
cp js/impress.js %{buildroot}%{_datadir}/impressjs/impress.js

%files
%doc README.md index.html css/
%{_datadir}/impressjs/

%changelog
* Fri Apr 12 2013 Ralph Bean <rbean@redhat.com> - 0.5.3-1gitgedff5a0
- Initial packaging for Fedora
